Pharmacy API

get /users/{id}/erx/pharmacies

Get user pharmacies

Base URL https://api.vseepreview.com/api_v3

Authentication: User Token — Requires a user access token from login or SSO.

Get user's saved pharmacies

Tip: The :id parameter accepts dash (-) for the current user.

Returns an array of Pharmacy objects with location, contact info, and distance.

Parameters

NameInTypeRequiredEnumDefaultDescription
X-ApiTokenheaderstringyesAPI token (e.g. your_api_token)
X-AccountCodeheaderstringyesAccount code (e.g. vclinic)
idpathstringyesUser ID or dash (-) for current user (e.g. 575)

Responses

200 — Successful response

Pharmacies List

{
  "data": [
    {
      "is_default": true,
      "name": "4700 Sunset Blvd",
      "address": "4700 Sunset Boulevard",
      "code": "0561539",
      "city": "Los Angeles",
      "state": "CA",
      "zip": "90027",
      "phone": "8663528725",
      "lat": 36.800488,
      "long": -116.71875,
      "distance": 0.95993211712521
    }
  ]
}

Machine-readable: OpenAPI JSON